Get User Scores
Retrieve user scores for the game
POST
/launcher/get-user-scores
Retrieve user scores for the game
Header Parameters
X-Request-Nonce
string
optional
header
Random string identifier for request (for signature verification)
X-Request-Signature
string
optional
header
MD5 hash for request verification
Request Body required
application/jsonlauncherJwt
string
REQUIRED
limit
integer
skip
integer
nonce
string
Optional nonce to query specific entry
Responses
200
Successful response
application/jsonsuccess
boolean
scores
object[]
Array of:
score
integer
nonce
string
updatedAt
integer (int64)
400
Bad Request
401
Unauthorized
curl -X POST 'https://api.basement.fun/launcher/get-user-scores' \
-H 'Content-Type: application/json' \
-d '{
"launcherJwt": "string",
"limit": 50,
"skip": 0,
"nonce": "string"
}'
const response = await fetch('https://api.basement.fun/launcher/get-user-scores', {
method: 'POST',
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"launcherJwt": "string",
"limit": 50,
"skip": 0,
"nonce": "string"
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post('https://api.basement.fun/launcher/get-user-scores', json={
"launcherJwt": "string",
"limit": 50,
"skip": 0,
"nonce": "string"
})
print(response.json())
200
Response
{
"success": true,
"scores": [
{
"score": 123,
"nonce": "<string>",
"updatedAt": 123
}
]
}
POST
/launcher/get-user-scores